dofile("scripts/entities/entityinclude.lua")

spirit = 0
n1 = 0
n2 = 0
n3 = 0
n4 = 0

function initEnd(flag, skel)
	if isFlag(FLAG_ENDING, flag) then
		cam_toNode(
		
		fadeIn(1)
		fade2(1, 0)
		return true
	end
	
	return false
end

function endBit(spiritNodeName, anim)
	sn = getNode(spiritNodeName)
	
	entity_setPosition(spirit, node_x(sn), node_y(sn))
	
	entity_animate(spirit, anim, -1)
	
	
end

function doEnd1(spiritNodeName, anim)
	cam_toNode(n1)
	watch(0.2)
	
	cam_toNode(n1)
end

function doEnd2(spiritNodeName, anim)
	cam_toNode(n3)
	watch(0.2)
	
end

function endEnd()
end

